<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Nuevo Usuario</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i> Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Administrador</a>
            </li>
            <li class="breadcrumb-item active">Nuevo Usuario</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row clearfix">
      <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
        <div class="card">
          <div class="header">
            <h2><strong>Nuevo Usuario</strong></h2>

          </div>
          <div class="body">
            <form class="m-4" [formGroup]="roomForm" (ngSubmit)="onSubmit()">
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Nombre</mat-label>
                    <input matInput formControlName="nombres" [(ngModel)]="nombres" required>
                    <mat-error *ngIf="roomForm.get('nombres').hasError('required')">
                      Los nombre's son requeridos
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Apellidos</mat-label>
                    <input matInput formControlName="apellidos" [(ngModel)]="apellidos" required>
                    <mat-error *ngIf="roomForm.get('apellidos').hasError('required')">
                      Los apellidos son requeridos
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <!-- <mat-form-field class="example-full-width mb-3">
                    cc
                    <input matInput formControlName="perfil" required>
                    <mat-error *ngIf="roomForm.get('perfil').hasError('required')">
                      El Perfil es requerido
                    </mat-error>
                  </mat-form-field> -->
                  <mat-form-field class="example-full-width" appearance="outline">
                    <mat-label>Perfil de usuario</mat-label>
                    <mat-select required formControlName="perfil" [(ngModel)]="perfil">
                      <mat-option value="Admin">Administrador GR</mat-option>
                      <mat-option value="Doctor">Profesional Doctor</mat-option>
                      <mat-option value="secretaria/recepción">Secretaria/recepción</mat-option>
                      <mat-option value="Administrador de Sucursal">Administrador de Sucursal</mat-option>
                      <mat-option value="Asistente">Asistente</mat-option>
                      <mat-option value="Profesional o técnico">Profesional o técnico</mat-option>
                    </mat-select>
                      <mat-error *ngIf="roomForm.get('perfil').hasError('required')">
                        El Perfil es requerido
                      </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <!-- <mat-form-field class="example-full-width mb-3">
                    <mat-label>Sucursal</mat-label>
                    <input type="number" matInput formControlName="sucursal" required>
                    <mat-error *ngIf="roomForm.get('sucursal').hasError('required')">
                      La Sucursal es requerida
                    </mat-error>
                  </mat-form-field> -->
                  <mat-form-field class="example-full-width" appearance="outline">
                    <mat-select required formControlName="sucursal" [(ngModel)]="sucursal">
                      <mat-option *ngFor="let sucu of sucursales" value="{{sucu.idSucursal}}">{{sucu.NombreSucursal}}</mat-option>
                    </mat-select>
                      <mat-error *ngIf="roomForm.get('sucursal').hasError('required')">
                        La sucursal es requerida
                      </mat-error>
                      <mat-label>Sucursal</mat-label>
                  </mat-form-field>
                </div>
              </div>

              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>RFC</mat-label>
                    <input type="text" maxlength="13" matInput formControlName="rfc" [(ngModel)]="rfc" required>
                    <mat-error *ngIf="roomForm.get('rfc').hasError('required')">
                      El RFC es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Dirección</mat-label>
                    <input type="text" matInput formControlName="direccion" [(ngModel)]="direccion" required>
                    <mat-error *ngIf="roomForm.get('direccion').hasError('required')">
                      La Dirección es requerdia
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Celular</mat-label>
                    <input type="text" maxlength="10" onkeypress='return event.charCode >= 48 && event.charCode <= 57' [(ngModel)]="celular" matInput formControlName="celular" required>
                    <mat-error *ngIf="roomForm.get('celular').hasError('required')">
                      El Celular es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Email</mat-label>
                    <input type="email" matInput formControlName="email" [(ngModel)]="email" required>
                    <mat-error *ngIf="roomForm.get('email').hasError('required')">
                      El Email es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <!-- <mat-form-field class="example-full-width mb-3">
                    <mat-label>Fecha de nacimiento</mat-label>
                    <input type="text" matInput formControlName="fechanaci" required>
                    <mat-error *ngIf="roomForm.get('fechanaci').hasError('required')">
                      La Fecha de nacimiento es requerida
                    </mat-error>
                  </mat-form-field> -->
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Fecha Nacimiento</mat-label>
                    <input matInput [matDatepicker]="picker" formControlName="fechanaci" [(ngModel)]="fechanaci" required>
                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker #picker></mat-datepicker>
                    <mat-error *ngIf="roomForm.get('fechanaci').hasError('required')">
                      La Fecha de nacimiento es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Edad</mat-label>
                    <input type="text" maxlength="2" onkeypress='return event.charCode >= 48 && event.charCode <= 57' matInput formControlName="edad" [(ngModel)]="edad" required>
                    <mat-error *ngIf="roomForm.get('edad').hasError('required')">
                      La Edad es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <!-- <mat-form-field class="example-full-width mb-3">
                    <mat-label>Grupo sanguíneo </mat-label>
                    <input type="text" matInput formControlName="gruposanguineo" required>
                    <mat-error *ngIf="roomForm.get('gruposanguineo').hasError('required')">
                      El Grupo sanguíneo es requerido
                    </mat-error>
                  </mat-form-field> -->
                  <mat-form-field class="example-full-width " appearance="outline">
                    <mat-label>Grupo Sanguíneo</mat-label>
                    <mat-select formControlName="gruposanguineo" [(ngModel)]="gruposanguineo"  required>
                      <mat-option [value]="'A+'">
                        A+
                      </mat-option>
                      <mat-option [value]="'A-'">
                        A-
                      </mat-option>
                      <mat-option [value]="'B+'">
                        B+
                      </mat-option>
                      <mat-option [value]="'B-'">
                        B-
                      </mat-option>
                      <mat-option [value]="'O+'">
                        O+
                      </mat-option>
                      <mat-option [value]="'O-'">
                        O-
                      </mat-option>
                      <mat-option [value]="'AB+'">
                        AB+
                      </mat-option>
                      <mat-option [value]="'AB-'">
                        AB-
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="roomForm.get('gruposanguineo').hasError('required')">
                      El grupo sanguineo es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <!-- <mat-form-field class="example-full-width mb-3">
                    <mat-label>Genero</mat-label>
                    <input type="text" matInput formControlName="genero" required>
                    <mat-error *ngIf="roomForm.get('genero').hasError('required')">
                      El Genero es requerido
                    </mat-error>
                  </mat-form-field> -->
                  <mat-form-field class="example-full-width" appearance="outline">
                    <mat-label>Genero</mat-label>
                    <mat-select required formControlName="genero" [(ngModel)]="genero">
                      <mat-option value="Masculino">Masculino</mat-option>
                      <mat-option value="Femenino">Femenino</mat-option>
                    </mat-select>
                      <mat-error *ngIf="roomForm.get('genero').hasError('required')">
                        El Genero es requerido
                      </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <!-- <mat-form-field class="example-full-width mb-3">
                    <mat-label>Estado Civil</mat-label>
                    <input type="text" matInput formControlName="estadocivil" required>
                    <mat-error *ngIf="roomForm.get('estadocivil').hasError('required')">
                      El Estado Civil es requerido
                    </mat-error>
                  </mat-form-field> -->
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Estado Civil</mat-label>
                    <mat-select formControlName="estadocivil" [(ngModel)]="estadocivil" required>
                      <mat-option value="Soltero/a">
                        Soltero/a
                      </mat-option>
                      <mat-option value="Casado/a">
                        Casado/a
                      </mat-option>
                      <mat-option value="Viudo/a">
                        Viudo/a
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="roomForm.get('estadocivil').hasError('required')">
                      El estado civil es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Título</mat-label>
                    <input type="text" matInput formControlName="titulo" [(ngModel)]="titulo" required>
                    <mat-error *ngIf="roomForm.get('titulo').hasError('required')">
                      El Título es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Especialidad</mat-label>
                    <input type="text" matInput formControlName="especialidad" [(ngModel)]="especialidad" required>
                    <mat-error *ngIf="roomForm.get('especialidad').hasError('required')">
                      LA Especialidad es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Ced- Profesional</mat-label>
                    <input type="text" matInput formControlName="cedula" [(ngModel)]="cedula" required>
                    <mat-error *ngIf="roomForm.get('cedula').hasError('required')">
                      La Ced- Profesional es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <!-- <mat-form-field class="example-full-width mb-3">
                    <mat-label>Imagen</mat-label>
                    <input type="text" matInput formControlName="imagen" required>
                    <mat-error *ngIf="roomForm.get('imagen').hasError('required')">
                      La Imagen es requerida
                    </mat-error>
                  </mat-form-field> -->
                  
                  
                  <!-- <mat-form-field class="example-full-width" appearance="outline">
                    <mat-label>Imagen del Paciente</mat-label>
                    <ngx-mat-file-input formControlName="imagen" id="foto" (change)="onFileChanged($event,$event.target.files, $event)" multiple accept="image/*">
                    </ngx-mat-file-input>
                    <mat-icon matSuffix>face</mat-icon>
                  </mat-form-field> -->
                </div>
              </div>
              <!-- <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Logo de clínica</mat-label>
                    <ngx-mat-file-input formControlName="logo" multiple
                    accept="image/*" value='b'>
                    </ngx-mat-file-input>
                    <mat-icon matSuffix>face</mat-icon>
                    <mat-error *ngIf="roomForm.get('logo').hasError('required')">
                      El Logo de clínica es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div> -->
              <div class="row">
                <button type="button" mat-raised-button color="primary" (click)="addNew()">
                  Definir horario
                </button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
